<template>
  <v-card v-show="view" flat class="bulk-card">
    <v-card-title>
      Resultados
    </v-card-title>
    <v-col cols="12" md="auto" class="upload-component">
      <no-results-yet
        v-if="checkStatus()"
        :state="enumState"
      />
      <finished-results
        v-else
        :view="!checkStatus()"
        :state="enumState"
      />
    </v-col>
  </v-card>
</template>

<script>
import { mapState } from 'vuex';
import { bulkStates } from '~/helpers/enums/bulk';
import NoResultsYet from '~/components/BulkLoad/BulkLoadDetails/BulkResults/NoResultsYet';
import FinishedResults from '~/components/BulkLoad/BulkLoadDetails/BulkResults/FinishedResults';

export default {
  name: 'BulkResults',
  components: {
    NoResultsYet,
    FinishedResults,
  },
  props: {
    view: {
      type: Boolean,
      required: true,
    },
  },
  data: () => ({
    isPending: false,
    viewfinished: false,
  }),
  computed: {
    ...mapState({
      bulkState: state => state.bulk.bulkState,
    }),
    enumState() {
      return this.bulkState;
    },
  },
  methods: {
    checkStatus() {
      return this.bulkState === bulkStates.PENDING.value || this.bulkState === bulkStates.IN_PROGRESS.value;
    },
  },
};
</script>

<style scoped>

</style>
